Bug 689512 - Btrfs-progs: have a working fsck
Btrfs-progs: have a working fsck
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 689509
  Show dependency treegraph
 
Reported: 2011-03-21 13:29 EDT by Josef Bacik
Modified: 2013-09-18 11:46 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 11:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2011-03-21 13:29:00 EDT
Just to track the work of a working fsck upstream.
Comment 1 Shaun Reich 2012-01-23 23:09:21 EST
info update...

btw, according to phoronix (i know, -so- reliable), Mid February, this 2012, btrfs-fsck is slated for. hopefully time will lead to this then..

http://www.phoronix.com/scan.php?page=news_item&px=MTA0Njk
Comment 2 Dr. Tilmann Bubeck 2012-04-05 08:07:04 EDT
The btrfsck tool in the git master branch for btrfs-progs is now capable of repairing some types of filesystem breakage. It is not well-tested in real-life situations yet. If you have a broken filesystem, it is probably better to use btrfsck with advice from one of the btrfs developers, just in case something goes wrong. (But even if it does go badly wrong, you've still got your backups, right?) 

Note that there is also a recovery tool in the btrfs-progs git repository which can often be used to copy essential files out of broken filesystems.

http://btrfs.ipv5.de/index.php?title=FAQ#When_will_Btrfs_have_a_fsck_like_tool.3F
Comment 3 Fedora End Of Life 2013-04-03 11:25:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Eric Sandeen 2013-09-18 11:46:03 EDT
FSVO "works" there isa btrfsck now.

Should this be closed?

Note You need to log in before you can comment on or make changes to this bug.